Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1204574 - [abrt] caja-actions: g_type_check_instance_is_fundamentally_a(): caja-actions-config-tool killed by SIGSEGV
Summary: [abrt] caja-actions: g_type_check_instance_is_fundamentally_a(): caja-actions...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: caja-actions
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ac698f9e83e7ab6ca397a1d91d2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-23 04:54 UTC by Kyle Smith
Modified: 2016-07-19 13:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:09:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.64 KB, text/plain)
2015-03-23 04:54 UTC, Kyle Smith
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-23 04:54 UTC, Kyle Smith
no flags Details
File: core_backtrace (16.59 KB, text/plain)
2015-03-23 04:54 UTC, Kyle Smith
no flags Details
File: dso_list (8.92 KB, text/plain)
2015-03-23 04:54 UTC, Kyle Smith
no flags Details
File: environ (1.48 KB, text/plain)
2015-03-23 04:54 UTC, Kyle Smith
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-23 04:54 UTC, Kyle Smith
no flags Details
File: maps (47.35 KB, text/plain)
2015-03-23 04:54 UTC, Kyle Smith
no flags Details
File: open_fds (920 bytes, text/plain)
2015-03-23 04:54 UTC, Kyle Smith
no flags Details
File: proc_pid_status (965 bytes, text/plain)
2015-03-23 04:54 UTC, Kyle Smith
no flags Details
File: var_log_messages (520 bytes, text/plain)
2015-03-23 04:54 UTC, Kyle Smith
no flags Details

Description Kyle Smith 2015-03-23 04:54:23 UTC
Version-Release number of selected component:
caja-actions-1.8.0-1.fc22

Additional info:
reporter:       libreport-2.4.0
backtrace_rating: 4
cmdline:        caja-actions-config-tool
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/caja-actions-config-tool
kernel:         4.0.0-0.rc1.git0.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4028
 #1 instance_dispose at base-window.c:529
 #3 cact_main_window_quit at cact-main-window.c:1356
 #8 _gtk_action_emit_activate at gtkaction.c:795
 #9 gtk_action_activate at gtkaction.c:826
 #10 button_clicked at gtktoolbutton.c:771
 #11 _g_closure_invoke_va at gclosure.c:831
 #14 gtk_real_button_released at gtkbutton.c:1712
 #15 _g_closure_invoke_va at gclosure.c:831
 #18 gtk_button_button_release at gtkbutton.c:1604

Comment 1 Kyle Smith 2015-03-23 04:54:25 UTC
Created attachment 1005172 [details]
File: backtrace

Comment 2 Kyle Smith 2015-03-23 04:54:25 UTC
Created attachment 1005173 [details]
File: cgroup

Comment 3 Kyle Smith 2015-03-23 04:54:26 UTC
Created attachment 1005174 [details]
File: core_backtrace

Comment 4 Kyle Smith 2015-03-23 04:54:27 UTC
Created attachment 1005175 [details]
File: dso_list

Comment 5 Kyle Smith 2015-03-23 04:54:27 UTC
Created attachment 1005176 [details]
File: environ

Comment 6 Kyle Smith 2015-03-23 04:54:28 UTC
Created attachment 1005177 [details]
File: limits

Comment 7 Kyle Smith 2015-03-23 04:54:29 UTC
Created attachment 1005178 [details]
File: maps

Comment 8 Kyle Smith 2015-03-23 04:54:30 UTC
Created attachment 1005179 [details]
File: open_fds

Comment 9 Kyle Smith 2015-03-23 04:54:30 UTC
Created attachment 1005180 [details]
File: proc_pid_status

Comment 10 Kyle Smith 2015-03-23 04:54:31 UTC
Created attachment 1005181 [details]
File: var_log_messages

Comment 11 Wolfgang Ulbrich 2015-03-28 22:36:58 UTC
Can you describe a little more detailed what happend?
Did this issue occurs frequently ?
... my crystal ball is dead......

Comment 12 Paul Thomas 2015-04-18 07:56:45 UTC
Another user experienced a similar problem:

Running the Alpha 32-bit live ISO in VirtualBox. Clickd on Caja-actions Config tool, Clicked one or 2 tabs out of curiosity then clicked the Quit icon. 

reporter:       libreport-2.4.0
backtrace_rating: 4
cmdline:        caja-actions-config-tool
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/caja-actions-config-tool
kernel:         4.0.0-0.rc1.git0.1.fc22.i686
package:        caja-actions-1.8.0-1.fc22
reason:         caja-actions-config-tool killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Giulio 'juliuxpigface' 2015-07-10 19:42:33 UTC
I can easily reproduce it on Mate 20150704 Nigthly Rawhide installed as qemu-kvm guest

Description of the problem:
caja-actions-config-tool crashes after closing it.

Version-release number of selected component:
caja-actions-1.8.0-2.fc23.i686

How reproducible:
Happens every time I try to reproduce it.

Steps to reproduce:
1. Launch caja-actions-config-tool from the system menu of Mate.
2. Close the tool

Actual results:
The tool crashes and abrt catches the exception

Excepted results:
The tool should exit cleanly

Additional information:
FAF report: https://retrace.fedoraproject.org/faf/reports/727370/

Comment 14 Wolfgang Ulbrich 2015-09-25 17:10:18 UTC
After glib2 and gnome update to stable the issue is gone.
Same as every release.
I'm so bored of this nonsense........

Comment 15 Paul Thomas 2015-09-25 22:02:49 UTC
From my perspective of using Fedora 22 MATE on both my machine at work and my PCs at home this bug has been fixed.

Comment 16 Wolfgang Ulbrich 2015-09-25 22:15:44 UTC
(In reply to Paul Thomas from comment #15)
> From my perspective of using Fedora 22 MATE on both my machine at work and
> my PCs at home this bug has been fixed.

But you reported it from a f22 Alpha 32-bit live ISO in VirtualBox.
I could it only reproduce in f23 dev or f22 dev phases, now it works here in f23.
Same in all my f22/f21 installations.

Comment 17 Fedora End Of Life 2016-07-19 13:09:45 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.